### Enumeration

# Gimp IconType

#### Declaration

    enum Gimp.IconType

#### Description [src]

Icon types for plug-ins to register.

#### Members

`GIMP_ICON_TYPE_ICON_NAME`

  Icon name.

  - Value: `0`
  - Available since: 3.0
`GIMP_ICON_TYPE_PIXBUF`

  Inline pixbuf.

  - Value: `1`
  - Available since: 3.0
`GIMP_ICON_TYPE_IMAGE_FILE`

  Image file.

  - Value: `2`
  - Available since: 3.0